CodyF CodyF - 6 months ago 1243
Android Question

Gradle sync failed: Can't load library windows-amd64\native-platform.dll

Updated from Android Studio 1.4 to 2.0, and had the IDE change my gradle dependency to 2.0 from 1.x in the build.gradle:

dependencies {
classpath 'com.android.tools.build:gradle:2.0.0'
}


Updated the project gradle version to 2.10.

When I tried to sync a project with the gradle files, or refresh the project, I now get the following error:

Gradle sync failed: Can't load library: C:\Users\foobar\.gradle\native\19\windows-amd64\native-platform.dll
Consult IDE log for more details (Help | Show Log)

Answer

Remove the "native" folder from gradle path:

.gradle\native\19\windows-amd64\native-platform.dll

When run again, it will regenerate the "native" folder, and the associative .dll.